std::aligned_storage< _Len, _Align > Struct Template Reference
Metaprogramming
Inheritance diagram for std::aligned_storage< _Len, _Align >:
[legend]

## Detailed Description

### template<std::size_t _Len, std::size_t _Align = __alignof__(typename __aligned_storage_msa<_Len>::__type)>
struct std::aligned_storage< _Len, _Align >

Alignment type.

The value of _Align is a default-alignment which shall be the most stringent alignment requirement for any C++ object type whose size is no greater than _Len (3.9). The member typedef type shall be a POD type suitable for use as uninitialized storage for any object whose size is at most _Len and whose alignment is a divisor of _Align.

Definition at line 1693 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits